Index (Neo4j Apoc 1.1 API)
Keywords: org.neo4j.index.Index interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.index
Interface Index

Deprecated. Not used anymore. Replaced by f.ex `IndexService`.

    @Deprecated
    public interface Index

An index that indexes nodes with a key. This class isn't ready for general usage yet and use of it is discouraged.

Method Summary
`void` | `clear()` Deprecated. Removes all the entries from this index.
`void` | `drop()` Deprecated. Deletes this index.
`void` | `drop(int commitInterval)` Deprecated. Deletes this index using a commit interval.
`IndexHits<Node>` | `getNodesFor(Object indexKey)` Deprecated. Returns nodes indexed with `indexKey`
`Node` | `getSingleNodeFor(Object indexKey)` Deprecated. Returns a single node indexed with `indexKey`.
`void` | `index(Node nodeToIndex, Object indexKey)` Deprecated. Create a index mapping between a node and a key.
`void` | `remove(Node nodeToRemove, Object indexKey)` Deprecated. Removes a index mapping between a node and a key.
`Iterable<Node>` | `values()` Deprecated. Returns all nodes in this index.

Method Detail

### index

    void index(Node nodeToIndex,
               Object indexKey)

  Deprecated.
  Create a index mapping between a node and a key.

  Parameters:
    `nodeToIndex` - the node to index
    `indexKey` - the key

### getNodesFor

    IndexHits<Node> getNodesFor(Object indexKey)

  Deprecated.
  Returns nodes indexed with `indexKey`

  Parameters:
    `indexKey` - the index key
  Returns:
    nodes mapped to `indexKey`

### getSingleNodeFor

    Node getSingleNodeFor(Object indexKey)

  Deprecated.
  Returns a single node indexed with `indexKey`. If more then one node is indexed with that key a `RuntimeException` is thrown. If no node is indexed with the key `null` is returned.

  Parameters:
    `indexKey` - the index key
  Returns:
    the single node mapped to `indexKey`

### remove

    void remove(Node nodeToRemove,
                Object indexKey)

  Deprecated.
  Removes a index mapping between a node and a key.

  Parameters:
    `nodeToRemove` - node to remove
    `indexKey` - the key

### drop

    void drop()

  Deprecated.
  Deletes this index.

### drop

    void drop(int commitInterval)

  Deprecated.
  Deletes this index using a commit interval.

  Parameters:
    `commitInterval` - number of index mappings removed before a new transaction is started

### clear

    void clear()

  Deprecated.
  Removes all the entries from this index.

### values

    Iterable<Node> values()

  Deprecated.
  Returns all nodes in this index. Same node may be returned many times depending on implementation.

  Returns:
    all nodes in this index
  Throws:
    `UnsupportedOperationException` - if the `values()` method isn't supported by this index.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Neo4j. All Rights Reserved.